apiVersion: pg.percona.com/v1
kind: PerconaPGCluster
metadata:
  labels:
    pgo-version: 1.2.0
  name: some-name
spec:
#  secretsName: some-name-users
#  sslCA: some-name-ssl-ca
#  sslSecretName: some-name-ssl-keypair
#  sslReplicationSecretName: some-name-ssl-keypair
  upgradeOptions:
    versionServiceEndpoint: https://check.percona.com
    apply: disabled
    schedule: "0 4 * * *"
  database: pgdb
  port: "5432"
  user: pguser
  disableAutofail: false
  tlsOnly: false
  standby: false
  pause: false
  keepData: true
  keepBackups: true
#  pgDataSource:
#    restoreFrom: ""
#    restoreOpts: ""
#  tablespaceStorages:
#    lake:
#      volumeSpec:
#        size: 1G
#        accessmode: ReadWriteOnce
#        storagetype: dynamic
#        storageclass: ""
#        matchLabels: ""
#  walStorage:
#    volumeSpec:
#      size: 1G
#      accessmode: ReadWriteOnce
#      storagetype: dynamic
#      storageclass: ""
#      matchLabels: ""
#  userLabels:
#    pgo-version: "1.2.0"
  pgPrimary:
    image: perconalab/percona-postgresql-operator:main-ppg14-postgres-ha
    imagePullPolicy: Always
    resources:
      requests:
        memory: "128Mi"
    tolerations: []
    volumeSpec:
      size: 1G
      accessmode: ReadWriteOnce
      storagetype: dynamic
      storageclass: ""
#      matchLabels: ""
    expose:
      serviceType: ClusterIP
#      loadBalancerSourceRanges:
#      annotations:
#        pg-cluster-annot: some-name
#      labels:
#        pg-cluster-label: some-name
#    customconfig: ""
  pmm:
    enabled: true
    image: percona/pmm-client:2.24.0
    imagePullPolicy: Always
    serverHost: monitoring-service
    serverUser: admin
    pmmSecret: some-name-pmm-secret
    resources:
      requests:
        memory: 200M
        cpu: 500m
#      limits:
#        cpu: "1"
#        memory: "400M"
  backup:
    image: perconalab/percona-postgresql-operator:main-ppg14-pgbackrest
    imagePullPolicy: Always
    backrestRepoImage: perconalab/percona-postgresql-operator:main-ppg14-pgbackrest-repo
    resources:
      requests:
        memory: "48Mi"
#      limits:
#        cpu: "1"
#        memory: "64Mi"
    volumeSpec:
      size: 1G
      accessmode: ReadWriteOnce
      storagetype: dynamic
      storageclass: ""
#      matchLabels: ""
#    storages:
#      my-gcs:
#        type: gcs
#        bucket: some-gcs-bucket
#    repoPath: ""
    schedule:
      - name: "sat-night-backup"
        schedule: "0 0 * * 6"
        keep: 3
        type: full
        storage: local
  pgBouncer:
    image: perconalab/percona-postgresql-operator:main-ppg14-pgbouncer
    imagePullPolicy: Always
    size: 3
    resources:
      requests:
        cpu: "1"
        memory: "128Mi"
      limits:
        cpu: "2"
        memory: "512Mi"
    expose:
      serviceType: ClusterIP
#      loadBalancerSourceRanges:
#      annotations:
#        pg-cluster-annot: some-name
#      labels:
#        pg-cluster-label: some-name
  pgReplicas:
    hotStandby:
      size: 2
      resources:
        requests:
#          cpu: "1"
          memory: "128Mi"
#        limits:
#          cpu: "1"
#          memory: "128Mi"
      volumeSpec:
        accessmode: ReadWriteOnce
        size: 1G
        storagetype: dynamic
        storageclass: ""
#        matchLabels: ""
#      affinity:
#        default: null
#      labels:
#        pg-cluster-label: some-name
#      annotations:
#        pg-cluster-annot: some-name-1
      enableSyncStandby: false
      expose:
        serviceType: ClusterIP
#        loadBalancerSourceRanges:
#        annotations:
#          pg-cluster-annot: some-name
#        labels:
#          pg-cluster-label: some-name
  pgBadger:
    enabled: true
    image: perconalab/percona-postgresql-operator:main-ppg14-pgbadger
    imagePullPolicy: Always
    port: 10000
#  securityContext:
#    fsGroup: 1001
#    supplementalGroups: [1001, 1002, 1003]
